> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/modules/cinterion-r-els61-wireless-module/creating-a-thing-in-aws-iot-core.md).

# Creating a thing in AWS IoT Core

Do not create things until you have verified the advisory and alert email addresses that you supplied during AnyNet IRIS configuration.For more information, see [Configuring AnyNet IRIS](https://docs.eseye.com/Content/IRIS/InstallingIris.htm#Emails). Receiving a verification link may take up to 30 minutes. If you have not received an email, contact Support: <support@eseye.com>.

### Before you begin

* Ensure that the AnyNet Secure Cellular Connectivity configuration process is complete on your AWS account.
* Eseye connects your thing to AWS over a cellular network. To purchase the requisite SIM cards, search for [AnyNet SIM on Amazon.com](https://www.amazon.com/s?k=anynet+sim\&ref=nb_sb_noss).
* You need a AnyNet Secure SIM number, which is the unique serial number printed on the back of the SIM card.

  ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-673f997930ea9452d6bdcf4e0361557d681e7cca%2FSIM_ICCID_QSG.jpg?alt=media)

To create a thing in AWS IoT Core:

1. Sign in to the AWS Management Console: [aws.amazon.com/console](http://aws.amazon.com/console)
2. In the AWS Services section, find the **IoT Core** service.

   AWS has updated the AWS IoT Console. To use the original console that is in line with these instructions, in the bottom left hand corner of the AWS IoT Console browser window is the **New console experience** switch. Slide this switch off.

   ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-8048472c29d3855702c5cf19529d3c687ffb9d7e%2FAWSNewConsoleExperience.png?alt=media)
3. If this is your first time to sign into the AWS Management Console, select **Get Started**.
4. In the left-hand AWS IoT menu, select **Manage** > **Things**.

   ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-846273c96b7ca362243d24b077b3f42f1da2a97f%2FManageThings.png?alt=media)
5. In the top right corner, select the correct AWS**Region** you want to use.

   ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-2e0b133d1de5b165d766de2198965a9631fa6fd1%2Fregion.png?alt=media)
6. If this is your first time creating things, select **Register a thing**, otherwise select **Create**.

   The Creating AWS IoT things page appears.
7. Select **Create a single thing**.

   The Add your device to the thing registry page appears.
8. Type a **Name** for your thing.

   **Note:** The AWS thingName maximum length is 128 characters, and can contain the following alphanumeric and special letters: \[a-zA-Z0-9:\_-]+
9. In the **Thing Type** drop-down box, select **AnyNetThingType**.

   ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-6a1696b4a14288f807bd51188a236302696777c8%2FAnyNetThingType.png?alt=media)
10. If required, add the thing to a group.
11. In the Set searchable thing attributes section, leave the **ActionRequest Value** field blank.
12. Leave the **PolicySelector Value** field blank.
13. In the **SimId Value** field, type the SIM number (described above).

    ![](https://893902233-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FR60wMwGxVlr3J15eCIGp%2Fuploads%2Fgit-blob-03c41ed98ed6c2619f5297c8f145563bfacf0bca%2FSimID.png?alt=media)
14. Select **Next**.

    The Add a certificate for your thing page appears. Eseye manages the certificate process so you don't have to.
15. Select **Create thing without certificate**.

    **Note:** When you use AWS IoT in your AWS account for the first time, an AWS error may appear because Device Gateway endpoint provisioning is not complete on your account. If this occurs, allow AWS services 5-10 minutes to complete, and try again.

    A Successfully created thing message appears, and the new thing appears on the Things page


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eseye.com/modules/cinterion-r-els61-wireless-module/creating-a-thing-in-aws-iot-core.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
